com.aliyun.svideosdk.common.struct.project

## Class EffectTrack

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.EffectTrack

- Direct Known Subclasses:
    Filter, MVFilter, TimeFilter

      public class EffectTrack
      extends Track

  效果轨道 v3.23.0 新增

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EffectTrack.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `mTimelineIn` 表示效果出现在时间线的起始位置。单位：秒，精确到小数点后4位。
    `protected float` | `mTimelineOut` 表示效果出现在时间线的结束位置。单位：秒，精确到小数点后4位。

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectTrack()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getTimelineIn()` 获取效果出现在时间线的起始位置。单位：秒，精确到小数点后4位。
    `float` | `getTimelineOut()` 获取效果出现在时间线的结束位置。单位：秒，精确到小数点后4位。
    `EffectTrack.Type` | `getType()` 获取效果类型
    `void` | `setTimelineIn(float timelineIn)` 设置效果出现在时间线的起始位置。单位：秒，精确到小数点后4位。
    `void` | `setTimelineOut(float timelineOut)` 设置效果出现在时间线的结束位置。单位：秒，精确到小数点后4位。
    `void` | `setType(EffectTrack.Type type)` 设置效果类型

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mTimelineIn

          protected float mTimelineIn

      表示效果出现在时间线的起始位置。单位：秒，精确到小数点后4位。

    - #### mTimelineOut

          protected float mTimelineOut

      表示效果出现在时间线的结束位置。单位：秒，精确到小数点后4位。

  - ### Constructor Detail

    - #### EffectTrack

          public EffectTrack()

  - ### Method Detail

    - #### getType

          public EffectTrack.Type getType()

      获取效果类型
      Returns:
        效果类型

    - #### setType

          public void setType(EffectTrack.Type type)

      设置效果类型
      Parameters:
        `type` - 效果类型

    - #### getTimelineIn

          public float getTimelineIn()

      获取效果出现在时间线的起始位置。单位：秒，精确到小数点后4位。
      Returns:
        切入点

    - #### setTimelineIn

          public void setTimelineIn(float timelineIn)

      设置效果出现在时间线的起始位置。单位：秒，精确到小数点后4位。
      Parameters:
        `timelineIn` - 切入点

    - #### getTimelineOut

          public float getTimelineOut()

      获取效果出现在时间线的结束位置。单位：秒，精确到小数点后4位。
      Returns:
        切出点

    - #### setTimelineOut

          public void setTimelineOut(float timelineOut)

      设置效果出现在时间线的结束位置。单位：秒，精确到小数点后4位。
      Parameters:
        `timelineOut` - 切出点